/* ================= RESET ================= */
* {
  margin:0;
  padding:0;
  box-sizing:border-box;
}

body {
  min-height: 100vh;
  font-family: 'Quattrocento', serif;
  background: radial-gradient(circle at center, #0a0f2a, #000);
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
}

.star {
    position: fixed;
    background-color: Gold;
    border-radius: 50%;
    z-index: -1;
}

/* ================= CARD ================= */
.auth-card {
  width: 360px;
  padding: 30px;

  background: #816d0066;
  border-radius: 1px;
  border: Gold 1px Solid;

  text-align: center;

  animation: fadeIn 0.6s ease;
}

/* ================= TITLE ================= */
.auth-card h2 {
  margin-bottom: 20px;
  font-size: 22px;
}

/* ================= INPUTS ================= */
.auth-card input {
  width: 100%;
  padding: 12px;
  margin-bottom: 12px;

  border: 1px solid Gold;
  border-radius: 1px;

  background: #000000a1;
  color: gold;
  transition: 0.2s;
}

.auth-card input:focus {
  outline: none;
  border-color: transparent;
}

/* ================= BUTTON ================= */
.auth-card button {
  width: 100%;
  padding: 12px;
  margin-top: 10px;

  border-radius: 10px;
  border: none;

  background: #816d0066;
  border-radius: 1px;
  border: Gold 1px Solid;

  color: Gold;
  font-weight: bold;
  letter-spacing: 1px;

  transition: 0.2s;
}

.auth-card button:hover {
  transform: translateY(-2px);
}

/* ================= LINKS ================= */
.auth-card a {
  color: Gold;
  text-decoration: none;
}

.auth-card a:hover {
  text-decoration: underline;
  cursor: pointer;
}

/* ================= REMEMBER ================= */
.remember-ids {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-top: 5px;
  margin-bottom: 10px;
  font-size: 14px;
}

.remember-ids input {
  width: auto;
}

/* ================= ANIMATION ================= */
@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}